unit RunPowerSystemWiringdiagram;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, OleCtrls, vg_TLB;

type
  TfrmRunPowerSystemWiringdiagram = class(TForm)
    Button1: TButton;
    Button2: TButton;
    vg1: Tvgctrl;
    Label1: TLabel;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure vg1MouseMove(ASender: TObject; x, y: Double);
    procedure vg1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmRunPowerSystemWiringdiagram: TfrmRunPowerSystemWiringdiagram;

implementation

{$R *.dfm}

procedure TfrmRunPowerSystemWiringdiagram.FormShow(Sender: TObject);
begin
  vg1.Run( 'http://www.visual-graph.com/activex/powersystem.xml' );
end;

procedure TfrmRunPowerSystemWiringdiagram.Button1Click(Sender: TObject);
var
  i : Integer;
  d : IUnit;
  b : Boolean;
begin
  i := 0;
  while( i < vg1.vg.ActiveSheet.UnitCount ) do
  begin
    d := vg1.vg.ActiveSheet.Units[i];
    if d.Type_ = 'DZB' then
    begin
      b := d.GetPropertyValue( 'Value' );
      d.SetPropertyValue( 'Value', false );
    end;
    i := i + 1;
  end;
end;

procedure TfrmRunPowerSystemWiringdiagram.Button2Click(Sender: TObject);
begin
vg1.vg.ActiveSheet.Execute( 'i = 0;while i < UnitCount;d = Units[i]; if d.Type = "DZB" then; b = d.Value; d.Value = true; end if; i = i + 1; wend' );
end;

procedure TfrmRunPowerSystemWiringdiagram.vg1MouseMove(ASender: TObject; x,
  y: Double);
begin
  Label1.Caption := FloatToStr( x ) + ',' + FloatToStr( y );
end;

procedure TfrmRunPowerSystemWiringdiagram.vg1Click(Sender: TObject);
var
  d : IUnit;
begin
  d := vg1.vg.ActiveSheet.UnitAtCursor( nil );
  if( d <> nil )then
    ShowMessage( 'You clicked : ' + d.Name );
end;

end.
