// UsePaper.cpp : implementation file
//

#include "stdafx.h"
#include "vg.h"
#include "VC.h"
#include "UsePaper.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// UsePaper dialog


UsePaper::UsePaper(CWnd* pParent /*=NULL*/)
  : CDialog(UsePaper::IDD, pParent)
{
  //{{AFX_DATA_INIT(UsePaper)
    // NOTE: the ClassWizard will add member initialization here
  //}}AFX_DATA_INIT
}


void UsePaper::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(UsePaper)
  DDX_Control(pDX, IDC_VGCTRL1, vg1);
  //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(UsePaper, CDialog)
  //{{AFX_MSG_MAP(UsePaper)
  ON_WM_SIZE()
  ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
  ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
  ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
  ON_BN_CLICKED(IDC_BUTTON4, OnButton4)
  ON_BN_CLICKED(IDC_BUTTON5, OnButton5)
  ON_BN_CLICKED(IDC_BUTTON6, OnButton6)
  ON_BN_CLICKED(IDC_BUTTON7, OnButton7)
  //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// UsePaper message handlers

void UsePaper::OnSize(UINT nType, int cx, int cy) 
{
  CDialog::OnSize(nType, cx, cy);
  
  if( vg1.m_hWnd )
  {
    vg1.MoveWindow( 0, 0, cx, cy - 60 );
    CWnd* bt = GetDlgItem( IDC_BUTTON1 );
    bt->MoveWindow( 0, cy - 40, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON2 );
    bt->MoveWindow( 100, cy - 40, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON3 );
    bt->MoveWindow( 200, cy - 40, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON4 );
    bt->MoveWindow( 300, cy - 40, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON5 );
    bt->MoveWindow( 400, cy - 40, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON6 );
    bt->MoveWindow( 500, cy - 40, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON7 );
    bt->MoveWindow( 600, cy - 40, 100, 20 );
  };
}

BOOL UsePaper::OnInitDialog() 
{
  CDialog::OnInitDialog();
  
  vg1.Design( "http://www.visual-graph.com/activex/paper.xml" );
  
  return TRUE;  // return TRUE unless you set the focus to a control
                // EXCEPTION: OCX Property Pages should return FALSE
}

void UsePaper::OnButton1() 
{
  vg1.GetVg().SetPaperVisible( true );
}

void UsePaper::OnButton2() 
{
  vg1.GetVg().SetPaperVisible( false );  
}

void UsePaper::OnButton3() 
{
  vg1.GetVg().SetPaperOrientation( 1 );
  vg1.GetVg().SetPaperRight( 811 );
}

void UsePaper::OnButton4() 
{
  vg1.GetVg().SetPaperOrientation( 2 );
  vg1.GetVg().SetPaperRight( 811 );
}

void UsePaper::OnButton5() 
{
  vg1.GetVg().SetPage();
}

void UsePaper::OnButton6() 
{
  vg1.GetVg().Print( true );  
}

void UsePaper::OnButton7() 
{
  vg1.GetVg().ZoomFit();
  
}
