﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csharpdemo
{
    public partial class FrmUseElementControlPoint : Form
    {
        public FrmUseElementControlPoint()
        {
            InitializeComponent();
        }

        private void FrmUseElementControlPoint_Load(object sender, EventArgs e)
        {
            vg1.Design("http://www.visual-graph.com/activex/lock.xml");
            var d = vg1.vg.ActiveSheet.UnitByName("element2");
            vg1.vg.Selection.Add(d);
        }

        private void btnUnlockunit_Click(object sender, EventArgs e)
        {
            vg1.vg.ActiveSheet.Execute("rect1.Locked = false");
            vg1.vg.ActiveSheet.Execute("element2.unitbyname( 'text1' ).Locked = false");
            var d = vg1.vg.ActiveSheet.UnitByName("element2");
            d.Refresh();
            vg1.vg.Selection.Clear();
            vg1.vg.Selection.Add(d);
        }

        private void btnLockunit_Click(object sender, EventArgs e)
        {
            vg1.vg.ActiveSheet.Execute("rect1.Locked = true");
            vg1.vg.ActiveSheet.Execute("element2.unitbyname( 'text1' ).Locked = true");
            var d = vg1.vg.ActiveSheet.UnitByName("element2");
            d.Refresh();
            vg1.vg.Selection.Clear();
            vg1.vg.Selection.Add(d);
        }

        private void btnMovenode1_Click(object sender, EventArgs e)
        {
            var d = vg1.vg.ActiveSheet.UnitByName( "element1" );
            var l = d.UnitByName("line1");
            l.MoveBy( 100, 0 );
            d.Execute( "line1.onnodechange(line1)" );
            d.Refresh();
        }

        private void btnMovenode2_Click(object sender, EventArgs e)
        {
            var d = vg1.vg.ActiveSheet.UnitByName( "dime1" );
            var l = d.UnitByName("line1");
            l.MoveBy( 0, -10 );
            d.Execute( "line1.onnodechange(line1)" );
            d.Refresh();
        }
    }
}
