// opyaunit.cpp : implementation file
//

#include "stdafx.h"
#include "vg.h"
#include "group.h"
#include "sheet.h"
#include "unit.h"
#include "VC.h"
#include "Copyaunit.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Copyaunit dialog


Copyaunit::Copyaunit(CWnd* pParent /*=NULL*/)
  : CDialog(Copyaunit::IDD, pParent)
{
  //{{AFX_DATA_INIT(Copyaunit)
    // NOTE: the ClassWizard will add member initialization here
  //}}AFX_DATA_INIT
}


void Copyaunit::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(Copyaunit)
  DDX_Control(pDX, IDC_VGCTRL1, vg1);
  //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(Copyaunit, CDialog)
  //{{AFX_MSG_MAP(Copyaunit)
  ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
  ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
  ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
  ON_WM_SIZE()
  //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Copyaunit message handlers

BOOL Copyaunit::OnInitDialog() 
{
  CDialog::OnInitDialog();
    vg1.Run("http://www.visual-graph.com/activex/copyunit.xml");  
  return TRUE;
}

void Copyaunit::OnButton2() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
  CUnit subwindow3 = sheet.UnitByName( "SubWindow3" );
  VARIANT v = subwindow3.GetPropertyValue( "Doc" );
  Cvg doc = v.pdispVal;
  CSheet src = doc.GetActiveSheet();

  CUnit subwindow4 = sheet.UnitByName( "SubWindow4" );
  v = subwindow4.GetPropertyValue( "Doc" );
  doc = v.pdispVal; 
  CSheet dest = doc.GetActiveSheet();

  CUnit d = dest.CopyUnit( src );
  doc.GetSelection().Clear();
  doc.GetSelection().Add( d );
}

void Copyaunit::OnButton1() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
  CUnit subwindow1 = sheet.UnitByName( "SubWindow1" );
  VARIANT v = subwindow1.GetPropertyValue( "Doc" );
  Cvg doc = v.pdispVal;
  CSheet src = doc.GetActiveSheet();
  CUnit circle1 = src.UnitByName( "circle1" );
  CUnit rect1 = src.UnitByName( "rect1" );
  CUnit subwindow2 = sheet.UnitByName( "SubWindow2" );
  v = subwindow2.GetPropertyValue( "Doc" );
  doc = v.pdispVal; 
  CSheet dest = doc.GetActiveSheet();
  doc.GetSelection().Clear();
  CUnit d = dest.CopyUnit( circle1 );
  doc.GetSelection().Add( d );
  d = dest.CopyUnit( rect1 );
  doc.GetSelection().Add( d );
}

void Copyaunit::OnButton3() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
  CUnit subwindow4 = sheet.UnitByName( "SubWindow4" );
  VARIANT v = subwindow4.GetPropertyValue( "Doc" );
  Cvg doc = v.pdispVal;
  CSheet src = doc.GetActiveSheet();

  CUnit subwindow3 = sheet.UnitByName( "SubWindow3" );
  v = subwindow3.GetPropertyValue( "Doc" );
  doc = v.pdispVal; 
  CSheet dest = doc.GetActiveSheet();

  if( src.GetUnitCount() != 0 )
  {
    doc.CopySheet(src.GetUnits(0));
    doc.DeleteSheet(doc.GetSheets(0));
  }
  else
  {
    MessageBox("please copy an element from sheet first");
  }
}

void Copyaunit::OnSize(UINT nType, int cx, int cy) 
{
  CDialog::OnSize(nType, cx, cy);
  
  if( vg1.m_hWnd )
  {
    vg1.MoveWindow( 0, 0, cx, cy - 60 );
    CWnd* bt = GetDlgItem( IDC_BUTTON1 );
    bt->MoveWindow( 0, cy - 50, 150, 20 );
    bt = GetDlgItem( IDC_BUTTON2 );
    bt->MoveWindow( 150, cy - 50, 150, 20 );
    bt = GetDlgItem( IDC_BUTTON3 );
    bt->MoveWindow( 300, cy - 50, 150, 20 );
  };
}
